<!DOCTYPE html>
<html>

<head>
    {% include "links.html" ignore missing %}
    <title>{{manga_name}} | MD_Light</title>

</head>

<body>

    {% include "top-bar.html" ignore missing %}
    <div class="manga_content">
        <div class="manga_info">
            <div class="row_1">
                <img class="manga_cover" src="{{proxy_url}}{{cover}}" alt="image not found">
                <!-- </div> -->
                <div class="col_2">

                    <div class="manga_title">{{manga_name}}</div>
                    <div class="buttons">
                        <a href="https://mangadex.org/title/{{manga_id}}" target="_blank" title="Open in MangaDex"><img
                                class="open-in-md" src="/ressources/feather.svg"></a>

                        <img src="/ressources/download.svg" onclick="showDdlOverlay(`{{manga_id}}`, `en`)"
                            class="ddl-button">
                        <!-- <div class="save-manga"> -->

                        {% if is_saved == true %}
                        {% set_global saved_display = "block" %}
                        {% set_global unsaved_display = "none" %}
                        {% else %}
                        {% set_global saved_display = "none" %}
                        {% set_global unsaved_display = "block" %}
                        {% endif %}


                        <!-- <img src="/ressources/red-star.svg" id="saved" style="display: {{saved_display}};" saved="true" onclick="unsaveManga(`{{manga_id}}`)"> -->
                        <img class="save-manga" src="/ressources/red-star.svg" id="saved"
                            style="display: {{saved_display}};" saved="true" onclick="unsave_dict(`{{manga_id}}`)">
                        <!-- <img src="/ressources/blank-star.svg" style="display: {{unsaved_display}};" id="unsaved" saved="false" onclick="saveManga(`{{manga_id}}`)"> -->
                        <img class="save-manga" src="/ressources/blank-star.svg" style="display: {{unsaved_display}};"
                            id="unsaved" saved="false"
                            onclick="save_dict(`{{manga_id}}`, `{{manga_name}}`, `{{cover}}`)">
                        <!-- </div> -->
                    </div>
                    <!-- the list of authors/ artists -->
                    <div class="author_list">
                        <h3>Authors: </h3>
                        {% for auth in authors %}
                        <div class="author" id="{{auth.role}}">
                            <img class="profile" src="/ressources/profile.svg">
                            <a href="/author/{{auth.author_id}}/{{auth.author_name}}">{{auth.role |title}}:
                                {{auth.author_name}}</a>
                        </div>
                        {% endfor %}
                    </div>
                    <div class="tag-list">
                        <h3>Tags:</h3>
                        {% for tag in tags %}
                        <div class="tag">
                            <a href="/tags?tag={{tag.id}}">{{tag.name |title}}</a>
                        </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="row_2">

                <div class="description">
                    <div class="description_text">{{description | markdown | safe}}</div>
                </div>


            </div>
        </div>
        <!-- chapters will go here -->
        <div class="chapter_list" id="chapter_list">
            <script>
                fetch_chapter("{{manga_id}}", 0)                        
            </script>
            <div class="loading"></div>
        </div>

    </div>
    <div class="overlay download-window" id="over">
        <span class="closebtn" onclick="closeForm()" title="Close Overlay">&#215</span>
        <div class=" wrap" id="download-overlay"></div>
    </div>
</body>

</html>